import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatadogMonitorConfig extends cdktf.TerraformMetaArguments {
    /**
    * A list of monitor tags to limit the search. This filters on the tags set on the monitor itself.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/monitor#monitor_tags_filter DataDatadogMonitor#monitor_tags_filter}
    */
    readonly monitorTagsFilter?: string[];
    /**
    * A monitor name to limit the search.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/monitor#name_filter DataDatadogMonitor#name_filter}
    */
    readonly nameFilter?: string;
    /**
    * A list of tags to limit the search. This filters on the monitor scope.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/monitor#tags_filter DataDatadogMonitor#tags_filter}
    */
    readonly tagsFilter?: string[];
}
export declare class DataDatadogMonitorMonitorThresholdWindows extends cdktf.ComplexComputedList {
    get recoveryWindow(): string;
    get triggerWindow(): string;
}
export declare class DataDatadogMonitorMonitorThresholds extends cdktf.ComplexComputedList {
    get critical(): string;
    get criticalRecovery(): string;
    get ok(): string;
    get unknown(): string;
    get warning(): string;
    get warningRecovery(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/d/monitor datadog_monitor}
*/
export declare class DataDatadogMonitor extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/d/monitor datadog_monitor} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatadogMonitorConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatadogMonitorConfig);
    get enableLogsSample(): cdktf.IResolvable;
    get escalationMessage(): string;
    get evaluationDelay(): number;
    get groupbySimpleMonitor(): cdktf.IResolvable;
    get id(): string;
    get includeTags(): cdktf.IResolvable;
    get locked(): cdktf.IResolvable;
    get message(): string;
    private _monitorTagsFilter?;
    get monitorTagsFilter(): string[];
    set monitorTagsFilter(value: string[]);
    resetMonitorTagsFilter(): void;
    get monitorTagsFilterInput(): string[] | undefined;
    monitorThresholdWindows(index: string): DataDatadogMonitorMonitorThresholdWindows;
    monitorThresholds(index: string): DataDatadogMonitorMonitorThresholds;
    get name(): string;
    private _nameFilter?;
    get nameFilter(): string;
    set nameFilter(value: string);
    resetNameFilter(): void;
    get nameFilterInput(): string | undefined;
    get newGroupDelay(): number;
    get newHostDelay(): number;
    get noDataTimeframe(): number;
    get notifyAudit(): cdktf.IResolvable;
    get notifyNoData(): cdktf.IResolvable;
    get query(): string;
    get renotifyInterval(): number;
    get renotifyOccurrences(): number;
    get renotifyStatuses(): string[];
    get requireFullWindow(): cdktf.IResolvable;
    get restrictedRoles(): string[];
    get tags(): string[];
    private _tagsFilter?;
    get tagsFilter(): string[];
    set tagsFilter(value: string[]);
    resetTagsFilter(): void;
    get tagsFilterInput(): string[] | undefined;
    get timeoutH(): number;
    get type(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
